Fetch a tag by id.
Submit Feedback: Likes, dislikes, and API feature requests should be filed as feedback in our API feedback form. If you encountered an issue or noticed inaccuracies in the API documentation, please submit a case to our support team.
To use this endpoint, select Read Tags under the Setup & Administration category when creating or editing an API token. Learn More.
curl --request GET \
--url https://api.samsara.com/tags/{id} \
--header 'Authorization: Bearer <token>'{
"data": {
"id": "342417",
"name": "California",
"parentTagId": "4815",
"addresses": [
{
"id": "23502866574",
"name": "Driver Don"
}
],
"assets": [
{
"id": "23502866574",
"name": "Driver Don"
}
],
"drivers": [
{
"id": "23502866574",
"name": "Driver Don"
}
],
"externalIds": {
"maintenanceId": "250020",
"payrollId": "ABFS18600"
},
"machines": [
{
"id": "23502866574",
"name": "Driver Don"
}
],
"parentTag": {
"id": "23502866574",
"name": "US West Vehicles"
},
"sensors": [
{
"id": "23502866574",
"name": "Driver Don"
}
],
"vehicles": [
{
"id": "23502866574",
"name": "Driver Don"
}
]
}
}Documentation Index
Fetch the complete documentation index at: https://samsara-showcase.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
ID of the Tag. This can either be the Samsara-provided ID or an external ID. External IDs are customer-specified key-value pairs created in the POST or PATCH requests of this resource. To specify an external ID as part of a path parameter, use the following format: key:value. For example, crmId:abc123. Automatically populated external IDs are prefixed with samsara.. For example, samsara.name:ELD-exempt.
The tag corresponding to request id.
A single tag.
Show child attributes
curl --request GET \
--url https://api.samsara.com/tags/{id} \
--header 'Authorization: Bearer <token>'{
"data": {
"id": "342417",
"name": "California",
"parentTagId": "4815",
"addresses": [
{
"id": "23502866574",
"name": "Driver Don"
}
],
"assets": [
{
"id": "23502866574",
"name": "Driver Don"
}
],
"drivers": [
{
"id": "23502866574",
"name": "Driver Don"
}
],
"externalIds": {
"maintenanceId": "250020",
"payrollId": "ABFS18600"
},
"machines": [
{
"id": "23502866574",
"name": "Driver Don"
}
],
"parentTag": {
"id": "23502866574",
"name": "US West Vehicles"
},
"sensors": [
{
"id": "23502866574",
"name": "Driver Don"
}
],
"vehicles": [
{
"id": "23502866574",
"name": "Driver Don"
}
]
}
}